aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_latest_when_version_is_empty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/dotnet/install_dotnet_latest_when_version_is_empty.sh')
-rw-r--r--test/dotnet/install_dotnet_latest_when_version_is_empty.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_latest_when_version_is_empty.sh b/test/dotnet/install_dotnet_latest_when_version_is_empty.sh
new file mode 100644
index 0000000..7418892
--- /dev/null
+++ b/test/dotnet/install_dotnet_latest_when_version_is_empty.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library bundled with the devcontainer CLI
+# See https://github.com/devcontainers/cli/blob/HEAD/docs/features/test.md#dev-container-features-test-lib
+# Provides the 'check' and 'reportResults' commands.
+source dev-container-features-test-lib
+
+# Feature-specific tests
+# The 'check' command comes from the dev-container-features-test-lib. Syntax is...
+# check <LABEL> <cmd> [args...]
+source dotnet_env.sh
+source dotnet_helpers.sh
+
+expected=$(fetch_latest_version)
+
+check "Latest .NET SDK version installed" \
+is_dotnet_sdk_version_installed "$expected"
+
+# Expect this check to fail in November 2023 when .NET 8.0 becomes GA
+check "It is a flavor of .NET 7.0" \
+is_dotnet_sdk_version_installed "7.0"
+
+check "Build and run example project" \
+dotnet run --project projects/net7.0
+
+# Report results
+# If any of the checks above exited with a non-zero exit code, the test will fail.
+reportResults \ No newline at end of file